<?php

//
//	ThreadInfo
//
//		ThreadInfo serves as a client-side cache of Threads.
//      See ForumInfo for use.
//

require_once('vb_api_client.php');
require_once('config.php');

final class ThreadInfo {         
	public static function all() {
		return array_values(@$_SESSION['ThreadInfo']);
	}
	public static function get($id) {
        if(isset($_SESSION['ThreadInfo'][$id])) {
            return $_SESSION['ThreadInfo'][$id];
        }     
        return new ThreadInfo($id);
    }
    
    public static function set($thread) {
        $_SESSION['ThreadInfo'][$thread->getId()] = $thread;
    }
    
    private $id;
    private $subscribed;
    
    private function __construct($id) {
        $this->id = $id;
    }
    public function getId() { 
        return $this->id;
    }
	public function getName() { 
		return $this->name;
	}
	public function setName($name) {
		$this->name = $name;
	}
    public function isSubscribed() {
        return $this->subscribed;
    }
    public function setSubscribed($sub) {
        $this->subscribed = $sub;
    }
}
?>